package net.nosial.socialclient.exceptions;

import net.nosial.socialclient.abstracts.RpcResult;

public class RpcException extends Exception
{
    public RpcException(String message)
    {
        super(message);
    }

    public RpcException(String message, Throwable cause)
    {
        super(message, cause);
    }

    public RpcException(RpcResult result)
    {
        super(result.getErrorResponse().getError());
    }
}
