package net.nosial.socialclient.classes;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.squareup.okhttp.*;
import net.nosial.socialclient.abstracts.RpcResult;
import net.nosial.socialclient.exceptions.CryptographyException;
import net.nosial.socialclient.exceptions.ResolutionException;
import net.nosial.socialclient.objects.RpcRequest;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

public class RpcClientTest {

    @Test
    public void testSendRequest() {
        RpcClient rpcClient = null;

        try
        {
            rpcClient = new RpcClient("n64.cc");
        }
        catch (Exception e)
        {
            fail(e.getMessage(), e);
        }

        RpcResult result = rpcClient.sendRequest(new RpcRequest("ping", "abcd123"));
        assertNotNull(result);
    }
}